com.impinj.stp

## Enum StpApi.DeviceExceptionEventType

- java.lang.Object
- - java.lang.Enum<StpApi.DeviceExceptionEventType>
  - - com.impinj.stp.StpApi.DeviceExceptionEventType

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, java.io.Serializable, java.lang.Comparable<StpApi.DeviceExceptionEventType>
  Enclosing class:
    StpApi

      public static enum StpApi.DeviceExceptionEventType
      extends java.lang.Enum<StpApi.DeviceExceptionEventType>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `Impinj.STP.DeviceExceptionEventType` **NOT YET SUPPORTED**

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEVICE_EXCEPTION_EVENT_TYPE_OPERATION_START_TRIGGER_FAULT` Generated when a GPI start trigger fires before STP is done with the current operation and returned to the engaged state.
    `DEVICE_EXCEPTION_EVENT_TYPE_SYSTEM_FAULT`
    `DEVICE_EXCEPTION_EVENT_TYPE_UNKNOWN`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEVICE_EXCEPTION_EVENT_TYPE_OPERATION_START_TRIGGER_FAULT_VALUE` Generated when a GPI start trigger fires before STP is done with the current operation and returned to the engaged state.
    `static int` | `DEVICE_EXCEPTION_EVENT_TYPE_SYSTEM_FAULT_VALUE`
    `static int` | `DEVICE_EXCEPTION_EVENT_TYPE_UNKNOWN_VALUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<StpApi.DeviceExceptionEventType>` | `internalGetValueMap()`
    `static StpApi.DeviceExceptionEventType` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static StpApi.DeviceExceptionEventType` | `valueOf(int value)`
    `static StpApi.DeviceExceptionEventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StpApi.DeviceExceptionEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEVICE_EXCEPTION_EVENT_TYPE_UNKNOWN

          public static final StpApi.DeviceExceptionEventType DEVICE_EXCEPTION_EVENT_TYPE_UNKNOWN

    - #### DEVICE_EXCEPTION_EVENT_TYPE_SYSTEM_FAULT

          public static final StpApi.DeviceExceptionEventType DEVICE_EXCEPTION_EVENT_TYPE_SYSTEM_FAULT

    - #### DEVICE_EXCEPTION_EVENT_TYPE_OPERATION_START_TRIGGER_FAULT

          public static final StpApi.DeviceExceptionEventType DEVICE_EXCEPTION_EVENT_TYPE_OPERATION_START_TRIGGER_FAULT

      Generated when a GPI start trigger fires before STP is done with the current operation and returned to the engaged state.

  - ### Field Detail

    - #### DEVICE_EXCEPTION_EVENT_TYPE_UNKNOWN_VALUE

          public static final int DEVICE_EXCEPTION_EVENT_TYPE_UNKNOWN_VALUE

      See Also:
        Constant Field Values

    - #### DEVICE_EXCEPTION_EVENT_TYPE_SYSTEM_FAULT_VALUE

          public static final int DEVICE_EXCEPTION_EVENT_TYPE_SYSTEM_FAULT_VALUE

      See Also:
        Constant Field Values

    - #### DEVICE_EXCEPTION_EVENT_TYPE_OPERATION_START_TRIGGER_FAULT_VALUE

          public static final int DEVICE_EXCEPTION_EVENT_TYPE_OPERATION_START_TRIGGER_FAULT_VALUE

      Generated when a GPI start trigger fires before STP is done with the current operation and returned to the engaged state.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static StpApi.DeviceExceptionEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StpApi.DeviceExceptionEventType c : StpApi.DeviceExceptionEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StpApi.DeviceExceptionEventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static StpApi.DeviceExceptionEventType valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<StpApi.DeviceExceptionEventType> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static StpApi.DeviceExceptionEventType valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)